#ifndef STUDENT_H
#define STUDENT_H

#include "Person.h"

class Student : public Person {
public:
  Student(std::string name, int age, int studentId);
  int getStudentId() const;
  void setStudentId(int id);

  std::string getName() const final override;
  ~Student() {
    std::cout << "student dtor\n";
  }

  std::string toString() const override;
private:
  int studentId;
};

#endif // STUDENT_H
