#ifndef PERSON_H
#define PERSON_H

#include <string>
#include <iostream>

class Person {
public:
  Person(std::string name, int age);
  Person() : name(""), age(-1) {}
    virtual std::string getName() const;
    int getAge() const;
    void setName(std::string name);
    void setAge(int age);
  virtual std::string toString() const = 0;
  virtual ~Person() {
    std::cout << "person dtor\n";
  }
private:
    std::string name;
    int age;
};

#endif // PERSON_H
